Index: src/Path.f90
===================================================================
--- src/Path.f90	(revision 11)
+++ src/Path.f90	(revision 12)
@@ -654,8 +700,10 @@
      IOIN=5
      IOOUT=6
   END SELECT
+  
+! We set the file delimiter (system dependent)
+  Call Set_FileDelim
 
-
   ! We initiliaze variables
   Pi=dacos(-1.0d0)
   Nat=1
@@ -784,7 +832,11 @@
   END IF
 
   
-  if (Prog.EQ.'TEST2') Prog="CHAMFRE"
+  if (Prog.EQ.'TEST2'.OR.Prog.EQ.'CHAMFRE') Then
+     WRITE(IOOUT,*) 'The CHAMFRE Reactive Force Field is not public.'
+     WRITE(IOOUT,*) 'Contact optnpath@gmail.com to get it.'
+     STOP
+  END IF
   if (Prog.EQ.'2D') Prog="TEST2D"
   if (Prog.EQ.'TEST3') Prog="LEPS"
 
Index: src/Add2indzmat.f90
===================================================================
--- src/Add2indzmat.f90	(revision 11)
+++ src/Add2indzmat.f90	(revision 12)
@@ -5,6 +5,38 @@
   ! and if so, it describes n1 as n1 n2 n4 n3 instead of n1 n2 n3 n4.
   ! As n2 n3 n4 are not aligned, this is sufficient to ensure that the description
   ! of n1 is ok.
+
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   IMPLICIT NONE
 
   INTEGER, PARAMETER :: KINT=KIND(1)
Index: src/egrad_ext.f90
===================================================================
--- src/egrad_ext.f90	(revision 11)
+++ src/egrad_ext.f90	(revision 12)
@@ -3,7 +3,38 @@
   ! This routines calculates the energy and the gradient of 
   ! a molecule, using an external code
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
+
   use Path_module, only : Nat, renum,Order,OrderInv,AtName, Coord,ProgExe
   use Io_module
 
Index: src/Mixed2cart.f90
===================================================================
--- src/Mixed2cart.f90	(revision 11)
+++ src/Mixed2cart.f90	(revision 12)
@@ -1,5 +1,36 @@
 SUBROUTINE Mixed2Cart(Nat,IndZmat,IntCoord,XyzCoord)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   Use Path_module, ONLY : Pi,NCart,NCoord
 
   IMPLICIT NONE
Index: src/NoString.f90
===================================================================
--- src/NoString.f90	(revision 11)
+++ src/NoString.f90	(revision 12)
@@ -5,6 +5,37 @@
 ! example:
 ! Progexe='./siesta', -> Progexe=,
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
         use VarTypes
 
         IMPLICIT NONE
Index: src/egrad_turbomole.f90
===================================================================
--- src/egrad_turbomole.f90	(revision 11)
+++ src/egrad_turbomole.f90	(revision 12)
@@ -3,6 +3,37 @@
   ! This routines calculates the energy and the gradient of 
   ! a molecule, using TurboMole 
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use Path_module, only : Nat, AtName, unit,ProgExe,renum,order,OrderInv
   use Io_module
 
Index: src/CalcCnct.f90
===================================================================
--- src/CalcCnct.f90	(revision 11)
+++ src/CalcCnct.f90	(revision 12)
@@ -30,7 +30,38 @@
 
 SUBROUTINE CalcCnct(na,atome,x,y,z,LIAISONS,r_cov,fact)
 
-  use Path_module, only : NMaxL, max_Z,Nom,Prog, KINT, KREAL, FPBC, &
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
+  use Path_module, only : NMaxL, max_Z,Nom, KINT, KREAL, FPBC, &
        kaBeg,kaEnd,kbBeg,kbEnd,kcBeg,kcEnd
   
   IMPLICIT NONE
Index: src/egrad_gaussian.f90
===================================================================
--- src/egrad_gaussian.f90	(revision 11)
+++ src/egrad_gaussian.f90	(revision 12)
@@ -3,6 +3,37 @@
   ! This routines calculates the energy and the gradient of 
   ! a molecule, using Gaussian 
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use Path_module, only : Nat, renum,Order,OrderInv,AtName, Coord,unit,ProgExe
   use Io_module
 
Index: src/ReadGeom_vasp.f90
===================================================================
--- src/ReadGeom_vasp.f90	(revision 11)
+++ src/ReadGeom_vasp.f90	(revision 12)
@@ -1,12 +1,43 @@
 SUBROUTINE ReadGeom_vasp
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   Use Path_module
   Use Io_module
 
   IMPLICIT NONE
 
 
-  CHARACTER(132) :: LineTmp,Line
+  CHARACTER(LCHARS) :: LineTmp,Line
 
   INTEGER(KINT), ALLOCATABLE :: NbAtType(:) !na
   INTEGER(KINT) :: NbType, NbTypeUser
@@ -55,7 +86,26 @@
      Lat_c=Lat_c*Vasp_param
 
      ALLOCATE(NbAtType(nat))
+! PFL 2013.12.07 ->
+! From VASP 5.3, POSCAR can have an additional line containing
+! the names of the atoms
+     VASP5=.FALSE.
      READ(IOIN,'(A)') Vasp_types
+     LineTMp=AdjustL(Trim(Vasp_types))
+     if (ICHAR(LineTmp(1:1))<48) THEN
+        Call Warning("ReadGeom_Vasp","Illegal caracter found in reading Vasp types")
+        STOP
+     END IF
+     If (ICHAR(LineTmp(1:1))>58) THEN
+! we have a letter, the user has surely provided the names.
+! We follow VASP and do not use them.
+        VASP5=.TRUE.
+        Vasp_types_user=Vasp_types
+! we read the usual "number of atom by type" line
+        READ(IOIN,'(A)') Vasp_types
+     END IF
+! <- PFL 2013.12.07     
+
      ! First, how many different types ?
      NbAtType=0
      READ(Vasp_types,*,END=999) NbAtType
@@ -122,9 +172,19 @@
      DEALLOCATE(NbAtType)
 
      NbTypes=NbType
-
+! PFL 2013.12.07 ->
+! A comment: in fact, this line might just not be 'Selective Dynamics'
      READ(IOIN,'(A)') Vasp_comment
-     READ(IOIN,'(A)') Vasp_direct
+     LineTMp=AdjustL(Trim(Vasp_comment))
+     Call upcase(LineTMP)
+     if (LineTMP(1:1)=="S") THEN
+        Vasp_SelectD=.TRUE.
+        READ(IOIN,'(A)') Vasp_direct
+     ELSE
+        Vasp_SelectD=.FALSE.
+        Vasp_direct=Vasp_comment
+     END IF
+! <- PFL 2013.12.07
 
      V_direct=adjustl(Vasp_direct)
      Call upcase(V_direct)
@@ -132,13 +192,34 @@
      if (debug) WRITE(*,*) "V_direct=",Trim(V_Direct)
 
      DO I=1,Nat
-        READ(IOIN,*) XyzGeomI(IGeom,1:3,I),FFF(1:3,I)
+        IF (Vasp_SelectD) THEN
+           READ(IOIN,*) XyzGeomI(IGeom,1:3,I),FFF(1:3,I)
            DO J=1,3
               FFF(J,I)=AdjustL(FFF(J,I))
               FFFl(j,i)=(FFF(j,i)(1:1).EQ.'T').OR.(FFF(j,i)(1:1).EQ.'t')
            END DO
+        ELSE
+           READ(IOIN,*) XyzGeomI(IGeom,1:3,I)
+           FFFl(1:3,i)=.TRUE.
+           FFF(1:3,i)="T"
+        END IF
+     END DO
+! PFL 2013.12.07 ->
+! Reading the VASP manual more carefully, it is stated:
+! ! The seventh line (or eighth line if 'selective dynamics' is switched on)
+! ! specifies whether the atomic positions are provided in cartesian coordinates
+! ! or in direct coordinates (respectively fractional coordinates). As in the
+! ! file KPOINTS only the first character on the line is significant and the
+! ! only key characters recognized by VASP are 'C', 'c', 'K' or 'k' for
+! ! switching to the cartesian mode.    
+!
+! We thus change V_direct to Direct if its first letter is not 'C' or 'K' 
+! (we have it all in upper case)
+     IF ((V_direct(1:1).NE.'C').AND.(V_direct(1:1).NE.'K')) THEN
+        V_direct='DIRECT'
+     END IF
+! <- PFL 2013.12.07
 
-     END DO
      IF (V_direct(1:6).EQ.'DIRECT') THEN
         DO I=1,Nat
            Xt=XyzGeomI(IGeom,1,I)
@@ -171,6 +252,12 @@
 ! i.e. to mix Cartesian and Direct :-p
 ! thus we check for each geom which condition is used.
 ! 
+!! PFL 2013 Dec 07 ->
+!!!!! For now we assume that all "POSCAR" used follow the same
+!!!! pattern as the first one
+!!! this has to be changed: reading the VASP header should be in
+!!! a subroutine by itself and combined afterwards.
+!!!! <- PFL 2013 Dec 07
 
 ! Title
         READ(IOIN,*) LineTmp
@@ -185,16 +272,48 @@
         !        if (debug) WRITE(*,*) "4 LineTmp:",Trim(LineTmp)
         READ(IOIN,*) Latc_loc
         !        if (debug) WRITE(*,*) "5 LineTmp:",Trim(LineTmp)
-! Attypes
-        READ(IOIN,*) LineTmp
+! PFL 2013 Dec 07 ->
+! From VASP 5.3, POSCAR can have an additional line containing
+! the names of the atoms
+! Even thought VASP5 flag has been set on the first geometry,
+! we are quite flexible and let the user mix old and new POSCAR:
+        READ(IOIN,'(A)') LineTmp
+        LineTMp=AdjustL(Trim(Vasp_types))
+        if (ICHAR(LineTmp(1:1))<48) THEN
+           Call Warning("ReadGeom_Vasp","Illegal caracter found in reading Vasp types")
+           STOP
+        END IF
+        If (ICHAR(LineTmp(1:1))>58) THEN
+! we have a letter, the user has surely provided the names.
+! we read the usual "number of atom by type" line
+           READ(IOIN,*) LineTmp
         !        if (debug) WRITE(*,*) "6 LineTmp:",Trim(LineTmp)
-! Comment
-        READ(IOIN,*) LineTmp,line
-        !        if (debug) WRITE(*,*) "7 LineTmp:",Trim(LineTmp),Trim(Line)
+        END IF
+! Do we have Selective Dynamics ?
+        READ(IOIN,'(A)') Line
+        LineTMp=AdjustL(Trim(Line))
+        Call upcase(LineTMP)
+        if (LineTMP(1:1)=="S") THEN
+           if (.NOT.Vasp_SelectD) Vasp_comment=AdjustL(Line)
+           Vasp_SelectD=.TRUE.
+           READ(IOIN,'(A)') Vdir_loc
+        ELSE
+           Vasp_SelectD=.FALSE.
+           Vdir_loc=Line
+     END IF
+! <- PFL 2013.12.07
+
+
 ! V_direct
-        READ(IOIN,*) Vdir_loc
         Vdir_loc=adjustl(Vdir_loc)
         Call upcase(Vdir_loc)
+! PFL 2013.12.07 ->
+     IF ((Vdir_loc(1:1).NE.'C').AND.(Vdir_loc(1:1).NE.'K')) THEN
+        Vdir_loc='DIRECT'
+     END IF
+! <- PFL 2013.12.07
+
+
         !        if (debug) WRITE(*,*) "8 LineTmp:",Trim(LineTmp)
 
         Lata_loc=Lata_loc*VaspPar_loc-Lat_a
@@ -219,12 +338,17 @@
         END IF
 
         DO I=1,Nat
-           READ(IOIN,*) XyzGeomI(IGeom,1:3,I),FFFt(1:3,I)
-           DO J=1,3
+           IF (Vasp_SelectD) THEN
+              READ(IOIN,*) XyzGeomI(IGeom,1:3,I),FFFt(1:3,I)
+              DO J=1,3
 ! A frozen atom in any geom is considered frozen in all geom
-              FFFt(j,I)=AdjustL(FFFt(j,i))
-              FFFl(j,i)=FFFl(j,i).AND.(FFFt(j,i).EQ.'T')
-           END DO
+                 FFFt(j,I)=AdjustL(FFFt(j,i))
+                 FFFl(j,i)=FFFl(j,i).AND.(FFFt(j,i).EQ.'T')
+              END DO
+           ELSE
+              READ(IOIN,*) XyzGeomI(IGeom,1:3,I)
+           END IF
+
         END DO
 
         IF (Vdir_loc(1:6).EQ.'DIRECT') THEN
Index: src/AnaPath.f90
===================================================================
--- src/AnaPath.f90	(revision 11)
+++ src/AnaPath.f90	(revision 12)
@@ -6,6 +6,36 @@
 
 SUBROUTINE AnaPath(IOpt,FileUnit)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
   use Io_module
   use Path_module, only : Nat,  NGeomF, XyzGeomF, SGeom,MassAt, &
Index: src/Io_module.f90
===================================================================
--- src/Io_module.f90	(revision 11)
+++ src/Io_module.f90	(revision 12)
@@ -1,6 +1,37 @@
 MODULE Io_Module
 ! This module contains all variables related to IO
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use VarTypes
 
   IMPLICIT NONE
@@ -13,6 +44,13 @@
   INTEGER(KINT), PARAMETER :: IOERR=0
   CHARACTER(SCHARS) :: RunMode
 
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!
+! System dependent delimiter for filename
+! / on Linux; \ on windows, ...
+  CHARACTER :: FileDelim
+
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! 
 !  Some parameters for unit conversion
@@ -50,11 +88,18 @@
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   CHARACTER(LCHARS) :: Vasp_Title, Vasp_Types, Vasp_comment, Vasp_direct
+  CHARACTER(LCHARS) :: Vasp_Types_User
   REAL(KREAL) :: vasp_Param
   CHARACTER(4), ALLOCATABLE :: FFF(:,:) !(3,na)
   INTEGER(KINT) :: NbTypes
   INTEGER(KINT), PARAMETER :: MaxType=100
   CHARACTER(2) :: Attypes(MaxType)='  '
+! VASP5 is true when the POSCAR is in the new POSCAR file
+  LOGICAL :: VASP5
+! VASP_SelectD is true if Selective Dynamic is selected
+  LOGICAL :: VASP_SelectD
+
+
 ! WriteVasp controls the printing of the images coordinates in POSCAR files.
   LOGICAL :: WriteVasp
 
Index: src/Annul.f90
===================================================================
--- src/Annul.f90	(revision 11)
+++ src/Annul.f90	(revision 12)
@@ -1,6 +1,37 @@
 
       SUBROUTINE Annul(Liaisons,at,atli)
 !  Cette routine supprime l'atome atli dans les liaisons de at
+
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
       use Path_module, only : Nat, NMaxL
 
       INTEGER(4) :: Liaisons(Nat,0:NMaxL),At,Atli,I,J
Index: src/Mat_util.f90
===================================================================
--- src/Mat_util.f90	(revision 11)
+++ src/Mat_util.f90	(revision 12)
@@ -1,3 +1,34 @@
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !     
 SUBROUTINE GenInv(N,A,InvA,NReal)
@@ -68,7 +99,7 @@
 !     EigvenVectors  : V(i,i)
 !     Eigenvalues : D(i)
 ! PFL 30/05/03
-! This versioin uses packed matrices.
+! This version uses packed matrices.
 ! it unpacks them before calling Jacobi !
 ! we have  AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
 !
@@ -291,53 +322,3 @@
 
 END SUBROUTINE trie
 
-!============================================================
-!c
-!c ++  Sort Eigenvectors in ascending eigenvalues order
-!c
-!c============================================================
-!c
-SUBROUTINE SortEigenSys(N,Eigval,Eigvec)
-
-
-  !
-  ! Input/output:
-  !   N : dimension of the system
-  !   EigVec(N,N) : Eigvenvectors, changed in output. Stored in a (N,N) matrix
-  !   EigVal(N)   : Eigenvalues, changed in output. Stored in a (n) vector
-  !   
- ! Process: 
- ! We use first a ranking, then a working array to reorder the eigenvalues and eigenvectors
- 
-!!!!!!!!!!!!!!!!
-
-  Use VarTypes
-  use m_mrgrnk
-  IMPLICIT NONE
-
-
-  INTEGER(KINT), INTENT(IN) :: N
-  REAL(KREAL), INTENT(OUT) :: EigVal(N), Eigvec(N,N)
-
-  integer(KINT) :: i
-
-  INTEGER(KINT), ALLOCATABLE :: Rank(:) !N
-  REAL(KREAL), ALLOCATABLE :: EigValT(:) !n
-  REAL(KREAL), ALLOCATABLE :: EigVecT(:,:) !n,n
-
-!!!!!!!!!!!!!!!!
-  ALLOCATE(Rank(n),EigValT(n),EigVecT(n,n))
-  CALL MrgRnk(EigVal,Rank)
-
-  DO I=1,N
-     EigValT(I)=EigVal(Rank(I))
-     EigVecT(I,1:N)=EigVec(Rank(I),1:N)
-  END DO
-  EigVal=EigValT
-  EigVec=EigVecT
-
-  DEALLOCATE(Rank,EigValT,EigVecT)
-
-
-END SUBROUTINE SortEigenSys
-
Index: src/upcase.f90
===================================================================
--- src/upcase.f90	(revision 11)
+++ src/upcase.f90	(revision 12)
@@ -3,6 +3,37 @@
 ! This subroutine converts a string into its Upcase
 ! version
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
         IMPLICIT NONE
 
         integer, parameter :: KINT = kind(1)
